# StateUpdater class

(Shortest import: `from brian2.groups.neurongroup import StateUpdater)`

class brian2.groups.neurongroup.StateUpdater(*args, **kw)

  Bases: `CodeRunner`

  The `CodeRunner` that updates the state variables of a `NeuronGroup` at every timestep.

  Methods

  `update_abstract_code`(run_namespace) | Update the abstract code for the code object.

  Details

  update_abstract_code(run_namespace)

    Update the abstract code for the code object. Will be called in `before_run` and should update the `CodeRunner.abstract_code` attribute.

    Does nothing by default.